<Glade_Main name="editor-window" glade_file="glade.glade" filename="./test.xml" window_id="window">

    <Black_HeaderBar name="header_bar">
            <Black_Button text="welcome" position="start">
                <Black_Event event="clicked"/>
            </Black_Button>
            <Black_Button icon="mail-send-receive-symbolic" position="end">
                <Black_Event event="clicked"/>
            </Black_Button>
    </Black_HeaderBar>
    
    <Glade_Object name="search">
        <Black_Entry name="search-bar" text="search" icon="system-search-symbolic">
            <Black_Event event="key-press-event"/>
            <Black_Event event="icon-press"/>
        </Black_Entry>
    </Glade_Object>

    <Glade_Object name="trees">
            <Black_Tree select="." show_on="/properties/content" tab="20"/>
    </Glade_Object>
    <Glade_ObjectX name="mid">
        <Black_ToggleBar select="./..">
            <Black_Tree name="tree_1" select="." show_on="/properties/content" tab="20"/>
            <Black_Tree name="tree_2" select="/plugins" show_on="/properties/content" tab="20"/>

        </Black_ToggleBar>
    </Glade_ObjectX>
    <Glade_Object name="footer">
        <Black_Tree  name="root" select="/" show_on="/footer/content" tab="20"/>
        <Black_Properties name="content"/>
    </Glade_Object>
    <Glade_Object name="properties">
        <Black_Properties name="content"/>
    </Glade_Object>

    <Black_Browser name="site" url="http://nox/sites/auteur"/>
    <Black_Browser name="doc" url="http://nox/doc/manuals"/>
    <Black_Browser name="blackboard" url="https://iomusic.anadenn.Fr"/>

    <Object name="plugins">
        <Object name="group1">
            <Object name="a"/>
            <Object name="b"/>
            <Object name="c"/>
        </Object>
        <Object name="group2">
            <Object name="d"/>
            <Object name="r"/>
            <Object name="t"/>
        </Object>
    </Object>
</Glade_Main>
